View Issue Details

IDProjectCategoryView StatusLast Update
0025425LazarusConverterpublic2013-12-18 12:24
ReporterFrederic Da Vitoria Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformSony VaioOSWindows 
Product Version1.2.0RC1 
Summary0025425: Conversion of a TTabbedNotebook.TTabPage does not create the TTabSheet in the .pas file
DescriptionConverting still another application from Delphi (1?, 3?) to Lazarus. Conversion (always done using 1.2 RC1) goes without issue. But when running, I get "Class "TTabSheet " not found" during a CreateForm.

In this thread http://forum.lazarus.freepascal.org/index.php/topic,22943.0.html howardpc showed me that the TTabSheet were missing from Memo3opt.pas.
Steps To Reproduce1-Convert the application
2-Run the application
Additional InformationI can open the form without any issue in design mode, I see everything there should be, so I don't understand what the executable is complaining about. I checked compiling and then running in Lazarus 1.0.14 and 1.2RC1.
TagsNo tags attached.
Fixed in Revisionr43550
LazTarget-
Widgetset
Attached Files

Relationships

related to 0024473 closedJuha Manninen Delphi Conversion: EClassNotFound On "undeclared" menu items 

Activities

Frederic Da Vitoria

2013-12-14 23:39

reporter  

memo_3_pre_lazarus.zip (4,859 bytes)

Juha Manninen

2013-12-15 10:12

developer   ~0071903

Ok, the TabSheets are converted in .lfm file but not added to .pas file.

Juha Manninen

2013-12-16 01:30

developer   ~0071911

I think got CheckLfm fixed finally. Please test as much as possible. It can be merged in Lazarus 1.2 if everything works.

Frederic Da Vitoria

2013-12-18 10:30

reporter   ~0071945

I checked trunk on my application and it does now add the TTabSheet in the .pas source file.

Problem solved for me, thanks Juha.

Juha Manninen

2013-12-18 12:24

developer   ~0071952

You can close this issue.

Issue History

Date Modified Username Field Change
2013-12-14 23:39 Frederic Da Vitoria New Issue
2013-12-14 23:39 Frederic Da Vitoria Status new => assigned
2013-12-14 23:39 Frederic Da Vitoria Assigned To => Juha Manninen
2013-12-14 23:39 Frederic Da Vitoria File Added: memo_3_pre_lazarus.zip
2013-12-15 10:12 Juha Manninen Note Added: 0071903
2013-12-15 12:52 Juha Manninen Relationship added related to 0024473
2013-12-16 01:30 Juha Manninen Fixed in Revision => r43550
2013-12-16 01:30 Juha Manninen LazTarget => -
2013-12-16 01:30 Juha Manninen Note Added: 0071911
2013-12-16 01:30 Juha Manninen Status assigned => resolved
2013-12-16 01:30 Juha Manninen Resolution open => fixed
2013-12-18 10:30 Frederic Da Vitoria Note Added: 0071945
2013-12-18 12:24 Juha Manninen Note Added: 0071952